configure: error: Cannot find OpenSSL's libraries

在Ubuntu 12.4.1 X64 位下编译安装PHP时提示 configure: error: Cannot find OpenSSL's libraries 确认已安装过 openssl、libssl-dev 包,还是会提示该错误;

 

    解决办法:

        root@test2:~/php-5.3.27# find / -name libssl.so

      输出结果为: /usr/lib/x86_64-linux-gnu/libssl.so

 

   初步判断它可能只会在 /usr/lib/ 下寻找 libssl.so 文件,于是:

    ln -s /usr/lib/x86_64-linux-gnu/libssl.so  /usr/lib

       重新编译安装即通过。

 

Centos 同理;

posted @ 2018-08-09 13:26  王小麦  阅读(...)  评论(... 编辑 收藏